package com.devbeh;


import org.bytedeco.opencv.opencv_core.Mat;


public class FrameIdAndBytes
{
    /**
     * Идентификатор кадра или -1, если видеопоток завершен.
     */
    public final long frameId;

    /**
     * Кадр видеозаписи, сериализованный в jpeg (полученные байты, при желании, можно прямо записывать в файл),
     * или null, если видеопоток завершен (frameId при этом будет равен -1).
     */
    public final byte[] frame;

    /**
     * Кадр видеозаписи, представленный в виде {@link Mat} или null, если видеопоток завершен.
     */
    public final Mat frameMat;


    public FrameIdAndBytes(long frameId,byte[] frame, Mat frameMat)
    {
        this.frameId = frameId;
        this.frame = frame;
        this.frameMat = frameMat;
    }
}
