package com.devbeh.managers;


public interface DataConsumer
{
    /**
     * Возвращает идентификатор кадра, обработка которого завершилась последней перед выключением системы
     * (включительно). В случае, если ни один кадр еще не был обработан, возвращается -1. В случае, если передача
     * кадров больше не требуется (все кадры были обработаны), возвращается {@link Long#MAX_VALUE}.
     *
     * @return идентификатор последнего обработанного кадра до запуска
     */
    long getInitialLastConsumedFrameId() throws InterruptedException;
}
